import _castPath_default from "./_castPath.js";
import _toKey_default from "./_toKey.js";
function baseGet(n, r) {
	r = _castPath_default(r, n);
	for (var i = 0, a = r.length; n != null && i < a;) n = n[_toKey_default(r[i++])];
	return i && i == a ? n : void 0;
}
var _baseGet_default = baseGet;
export { _baseGet_default as default };
